import json
import os

from kafka import KafkaConsumer, KafkaProducer, TopicPartition
from datetime import datetime
import uuid
import sys
import base64
import config as cfg

# settings
broker = cfg.broker
topic = cfg.topic
ssl_cafile = cfg.ssl_cafile
ssl_certfile = cfg.ssl_certfile
ssl_keyfile = cfg.ssl_keyfile
ssl_password = cfg.ssl_password

nbrrecordsretreived = int(0)


try:
    # prepare consumer
    print("Preparing the consumer")
    tp = TopicPartition(topic, 0)
    consumer = KafkaConsumer(security_protocol="SSL",
                             bootstrap_servers=broker,
                             ssl_cafile=ssl_cafile,
                             ssl_certfile=ssl_certfile,
                             ssl_keyfile=ssl_keyfile,
                             ssl_check_hostname=False,
                             ssl_password=ssl_password,
                             request_timeout_ms=20000,
                             group_id='test-group',
                             auto_offset_reset='earliest',
                             enable_auto_commit=True,
                             auto_commit_interval_ms=1000,
                             )

    consumer.subscribe([topic])

    # consume the messages
    for message in consumer:
        print("Offset:", message.offset)
        print("Value:", message.value)

        nbrrecordsretreived += 1

    print("Number of record consumed: " + str(nbrrecordsretreived))


except Exception as error:
    print("An exception occurred: ", error)


# if nbrrecordsinserted == nbrrecordsretreived:
#     sys.exit(0)
# else:
#     sys.exit(1)
